org.eclipse.jgit.transport

## Class RequestNotYetReadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.jgit.transport.RequestNotYetReadException

All Implemented Interfaces:
  Serializable

    public class RequestNotYetReadException
    extends IllegalStateException

Indicates that a client request has not yet been read from the wire.

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RequestNotYetReadException()` Initialize with no message.
`RequestNotYetReadException(String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestNotYetReadException

    public RequestNotYetReadException()

Initialize with no message.

#### RequestNotYetReadException

    public RequestNotYetReadException(String msg)

Parameters:
  `msg` - a message explaining the state. This message should not be shown to an end-user.